Archivio tag per 'splix'

Apr
09

Come far funzionare una stampante Samsung ML-1610 (e non solo) su Mac OS X utilizzando SpliX

Uno dei primi problemi che ho dovuto affrontare quando, qualche mese fa, ho acquistato l’iMac è stato configurare la mia stampante Samsung ML-1610 affinchè potesse stampanre anche su Mac OS X (visto che Samsung si è stranamente dimenticata di rilasciare i driver per questo modello).

Sì, lo so bene che il problema si può risolvere utilizzando i driver per la ML-2010 o quelli della ML-1710, ma a me non piacciono le cose “rimediate” quindi, in questo articolo, vedremo come utilizzare i driver open source SpliX per raggiungere il nostro scopo.

Anzitutto è necessario scaricare il codice sorgente dei driver SpliX da qui, dopodichè aprite il Terminale, posizionatevi nella directory in cui avete scaricato il pacchetto e decomprimetelo con il classico:

$ tar xjvf splix-1.1.1.tar.bz2

ora entrate nella directory appena creata e compilate i driver con i comandi:

$ cd splix-1.1.1/
$ make

e attendete inchè la compilazione non terminerà (con successo).

Ora installate i driver con i comandi:

$ cd ppd && sudo cp ml1610.ppd /usr/share/cups/model/
$ cd .. && cd src && sudo cp rastertospl2 /usr/libexec/cups/filter/

Ora aprite le Preferenze di Sistema, selezionate Stampa e fax, aggiungete una stampante e, alla voce, Stampa con scegliete Samsung ML-1610, 1.1.0 et voilà, la vostra stampante sarà perfettamente funzionante :-)

Ah, questo “trucchetto” funziona (o, in alcuni casi, dovrebbe funzionare) anche con le seguenti stampanti:

  • Dell 1100, 1110
  • Samsung CLP-200, CLP-300, CLP-500, CLP-510, CLP-600, CLP-610, CLX-216X, CLX-2170, CLX-3160, ML-1510, ML-1520, ML-1610, ML-1630, ML-1710, ML-1740, ML-1750, ML-2010, ML-2150, ML-2250, ML-2510, ML-2550, ML-2571, ML-3050, ML-3560
  • Xerox Phaser 3115, Phaser 3116, Phaser 3117, Phaser 3120, Phaser 3121, Phaser 3122, Phaser 3130, Phaser 3150, Phaser 3420, Phaser 3425, Phaser 5500, Phaser 6100, Phaser 6110

basta semplicemente sostituire la stringa ml1610.ppd con il modello della vostra stampante.

P.S. per compilare i driver è necessario che abbiate installato XCode o, comunque, gli strumenti di sviluppo Apple (quindi gcc, librerie, ecc.ecc.). Nel caso non abbiate tali strumenti e/o non abbiate tempo/voglia/capacità di compilare i driver, clickando qui potrete scaricare direttamente il pkg (basta un doppio click per installarlo) compilato da me su iMac intel.




Seguici anche su Facebook

Per visualizzare questo contenuto è necessario accettare i cookie inviati dai Social Network.
Clicca qui per abilitare tutti i cookie per questo sito web.

Hai bisogno di un sito web?

Web&Dintorni